summaryrefslogtreecommitdiff
path: root/dev-python/httplib2
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-18 15:28:09 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-18 15:28:09 +0000
commitdd7fcdaffc94c2c2a9e9ee70a16e2da831368a8c (patch)
treeed36bed7ab44e989dc0d89d7f460429b6039f77c /dev-python/httplib2
parentcb8e099d303cfee5b033613e0a34096f7f580667 (diff)
downloadbaldeagleos-repo-dd7fcdaffc94c2c2a9e9ee70a16e2da831368a8c.tar.gz
baldeagleos-repo-dd7fcdaffc94c2c2a9e9ee70a16e2da831368a8c.tar.xz
baldeagleos-repo-dd7fcdaffc94c2c2a9e9ee70a16e2da831368a8c.zip
Adding metadata
Diffstat (limited to 'dev-python/httplib2')
-rw-r--r--dev-python/httplib2/httplib2-0.20.4.ebuild20
1 files changed, 16 insertions, 4 deletions
diff --git a/dev-python/httplib2/httplib2-0.20.4.ebuild b/dev-python/httplib2/httplib2-0.20.4.ebuild
index 398f809b52ea..cf293189b939 100644
--- a/dev-python/httplib2/httplib2-0.20.4.ebuild
+++ b/dev-python/httplib2/httplib2-0.20.4.ebuild
@@ -9,10 +9,14 @@ PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
inherit distutils-r1
DESCRIPTION="A comprehensive HTTP client library"
-HOMEPAGE="https://pypi.org/project/httplib2/"
+HOMEPAGE="
+ https://pypi.org/project/httplib2/
+ https://github.com/httplib2/httplib2/
+"
SRC_URI="
https://github.com/httplib2/httplib2/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz"
+ -> ${P}.gh.tar.gz
+"
LICENSE="MIT"
SLOT="0"
@@ -20,12 +24,15 @@ KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86 ~am
RDEPEND="
app-misc/ca-certificates
- dev-python/pyparsing[${PYTHON_USEDEP}]"
+ dev-python/pyparsing[${PYTHON_USEDEP}]
+"
BDEPEND="
test? (
dev-libs/openssl
dev-python/pytest-timeout[${PYTHON_USEDEP}]
- )"
+ dev-python/six[${PYTHON_USEDEP}]
+ )
+"
distutils_enable_tests pytest
@@ -33,6 +40,8 @@ PATCHES=( "${FILESDIR}"/${PN}-0.12.1-use-system-cacerts.patch )
src_prepare() {
sed -i -e '/--cov/d' setup.cfg || die
+ # cryptography dep is entirely optional, and has a good fallback
+ sed -i -e 's:from cryptography.*:pass:' tests/__init__.py || die
distutils-r1_src_prepare
}
@@ -50,6 +59,9 @@ python_test() {
# broken by recerting (TODO)
tests/test_https.py::test_min_tls_version
tests/test_https.py::test_max_tls_version
+
+ # new cryptography or openssl-3?
+ tests/test_https.py::test_client_cert_password_verified
)
# tests in python* are replaced by tests/